View Issue Details

IDProjectCategoryView StatusLast Update
0017233MediaMonkey 5DB / Backuppublic2020-12-22 19:04
Reporterpetr Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017233: Import settings does not import database from MM4 (regression in 2282)
Description- Install MM5 to clean folder
- choose import MM4 settings
=> ini is imported, but database not
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=30&t=97921
TagsNo tags attached.
Fixed in build2290

Relationships

related to 0017194 closedpetr Custom location is ignored when DB is deleted 

Activities

petr

2020-12-16 15:35

developer   ~0060806

Fixed

peke

2020-12-18 00:58

developer   ~0060892

Reopen, change made it worse. And reopens few other questions

2. why MM Setup self initially copy MediaMonkey.ini, MediaMonkey.m3u8 and MM.DB from MM4 install folder prior to MM5 Start and user is not even prompted for MM4 Input?
note: After copy of MediaMonkey.ini only change is adding "ClearCache=1" line in "[System]" section.

3. Logging MM Installation there is Exception error on MM5 start during installation (Log Attached)

4. After starting MM5 and choosing to import MM4 DB a MM.DB from roaming\mediamonkey is used instead of roaming\MediaMonkey5 which gets deleted and in mediamonkey.ini DBName line was added to INI pointing to roaming\mediamonkey\mm5.db even all other settings are in roaming\mediamonkey5

Steps:
1. Clean Normal Install of MM5 and that MM4 is installed previously
2. roaming\MediaMonkey5 is created and MM4 mediamonkey.ini, mediamonkey.m3u8 and mm.db are copied to that folder (No questions asked) and MM5 was never started before except for executing command line "/elevate /prepareassoc /associateunassoc /regcomserver" (BUG 2)
3. after starting MM5 and accepting import MM4 settings MM5 is nowhere near roaming\mediamonkey5 (BUG 4)

If user closes MM5 and deletes roaming\mediamonkey5 folder and repeat step 3 BUG 4 happens again.

peke

2020-12-18 00:59

developer   ~0060893

peke

2020-12-18 01:23

developer   ~0060894

5. if user deletes roaming\MediaMonkey5\mm5.db and copy of MM4 DB at roaming\MediaMonkey5\mm.db (Note that as described in BUG 2 MM5 2287 installation is doing exactly that if MM4 is already installed) is ignored if exist and instead of ignore it should be renamed to MM5.db

petr

2020-12-18 10:30

developer   ~0060911

2-4 fixed.
re 5) MM5 never act like that and i'm not sure we should implement another way how to import database right now (high regression risk)

peke

2020-12-18 12:09

developer   ~0060912

Ok will test 2-5 in 2288

@rusty
5) I agree with Petr on this, It should be documented that user can copy backup of MM4 MM.DB direct ly to Roaming\Mediamonkey5\ folder but it should name it MM5.DB and all is working OK and MM5 update library to current version,

peke

2020-12-19 17:33

developer   ~0060937

Verified 2288

It is working correctly now.

Ludek

2020-12-22 13:17

developer   ~0061033

Last edited: 2020-12-22 13:32

View 6 revisions

There is still a situation when MM4 settings and database isn't imported: https://www.mediamonkey.com/forum/viewtopic.php?p=475911#p475911

The user log shown that he had MM4 installed with standard path:
C:\Users\<username>\AppData\Roaming\MediaMonkey\MediaMonkey.ini
but with custom DBName in the MediaMonkey.ini and the MM.DB wasn't presented as
C:\Users\<username>\AppData\Roaming\MediaMonkey\MM.DB
i.e. he deleted the original DB location ==> the key factor to replicate

=> Fixed in 2290

peke

2020-12-22 19:04

developer   ~0061038

Verified 2290

Works in this case also.